Welcome

Thank you for purchasing Komento. In this section, you will learn on the pre-requisites that are required before you can install Komento on your site.

Getting Started

Follow these quick steps and start building great website with awesome commenting system by Komento. For a in-depth overview, do read through our documentation, which covers everything else you'd want to know.

If you're curious as a cat, wandering what Komento can offers and the benefits as well as features available in Komento, you should surf our Komento Demo and get the grasp of the new Komento 3.

Komento is a commenting system component and it CANNOT run alone. It requires another component to render the commenting system.

Requirements

Before jumping into deep configuration, you must ensure that your site have met the Minimum Requirements defined to run Komento smoothly.

Joomla

Komento recommended that you have installed the latest version of Joomla on the site. Although Komento supports the following version of Joomla, but it is necessary that you stay up to date with Joomla.

  • Joomla 2.5
  • Joomla 3.6.5+ (Recommended because of the security fixes by Joomla)

PHP Requirements

Komento runs on PHP and it is surely requires PHP to be existed on the site. The following are the PHP libraries and packages that are needed by Komento.

Recommended Requirements

To get the best out of Komento, below are the list of recommended requirements for your site.

  • PHP 5.3 and above is installed.
  • PHP Extensions: Curl Library. (It is required by Komento to perform outgoing connections)
  • PHP Extensions: GD Library. (It is required by Komento to manipulate images that are uploaded on the site)
  • PHP Extensions: ZIP Library. (It is required by Komento for faster extraction process)
  • PHP: [upload_max_filesize = 16MB].
  • PHP: [post_max_size = 16MB].
  • PHP: [magic_quotes_gpc = Off].
  • PHP: [memory_limit = 64MB].

Minimum Requirements

In order for Komento to run optimumly, please do ensure that the following requirements are met.

  • PHP 5.3 and above is installed.
  • PHP Extensions: Curl Library. (It is required by Komento to perform outgoing connections)
  • PHP Extensions: GD Library. (It is required by Komento to manipulate images that are uploaded on the site)
  • PHP Extensions: ZIP Library. (It is required by Komento for faster extraction process)
  • PHP: [upload_max_filesize = 8MB].
  • PHP: [post_max_size = 8MB].
  • PHP: [magic_quotes_gpc = Off].
  • PHP: [memory_limit = 64MB];

MySQL Requirements

Komento requires a minimum version of MySQL v4.1.3 and above.

Checking System Requirements

Joomla provides system administrator's an extremely simple method to check the your system requirements. These options are available through System > System Information on your Joomla! site.

Recommended Hosting Providers

We have ran a couple of tests on these hosting providers and we would like to recommend them because they have survived our test and they seems to be pretty good at what they are doing.*

  • CloudAccess - The official Joomla! demo provider. They know what they are doing.
  • SiteGround - Optimized to run on Joomla! sites.
  • Rackspace - Pretty good support and fast servers.

Please take note that your access and the use of any hosting provider is at your own risk and that you are solely responsible for any damages to your site.